unit SetFrameSize;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls;

type
  TSetFrameSizeForm = class(TForm)
    GroupBox1: TGroupBox;
    Button1: TButton;
    Button2: TButton;
    ui_txtTime: TEdit;
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
    function GetTime: Integer;
    procedure SetTime(value: Integer);
  public
    { Public declarations }
    property Time: Integer read GetTime write SetTime;
  end;

var
  SetFrameSizeForm: TSetFrameSizeForm;

implementation

{$R *.DFM}

function TSetFrameSizeForm.GetTime(): Integer;
begin
  Result := StrToInt(ui_txtTime.Text);
end;

procedure TSetFrameSizeForm.SetTime(value: Integer);
begin
     ui_txtTime.Text := IntToStr(value);
end;

procedure TSetFrameSizeForm.FormCreate(Sender: TObject);
begin
     ui_txtTime.Text := IntToStr(0);
end;

end.
